let rec compose = function
  | [] -> (function x -> x)
  | f :: l -> (function x -> f((compose l) x));;

let rec fixedpoint f start delta =
  let new_start = f start in
  if ((new_start -. start)<delta) && ((start -. new_start)<delta) then
    new_start
  else
    fixedpoint f new_start delta;;
